VGONE(9)

NAME
vgone, vgonel - prepare a vnode for reuse

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vgone(struct vnode *vp);
void
vgonel(struct vnode *vp, struct proc *p);

DESCRIPTION
vgone() and vgonel() prepare the vnode vp for reuse by another file system. The preparation includes the cleaning of all file system specific data and the removal from its mount point vnode list. The p argument specifies the process responsible for the call.

vgone() is identical to vgonel() with a p value of curproc.

SEE ALSO
vclean(9), vnode(9), vrecycle(9)

AUTHORS
This man page was originally written by Chad David <davidc@acns.ab.ca> for FreeBSD.